Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-0586

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2009-0586
Last Modified 21 Aug 2010 12:00:00
Published 14 Mar 2009 02:30:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2009-0586

Summary

Integer overflow in the gst_vorbis_tag_add_coverart function (gst-libs/gst/tag/gstvorbistag.c) in vorbistag in gst-plugins-base (aka gstreamer-plugins-base) before 0.10.23 in GStreamer allows context-dependent attackers to execute arbitrary code via a crafted COVERART tag that is converted from a base64 representation, which triggers a heap-based buffer overflow.

Vulnerable Systems

Application

  • Gstreamer Gst-plugins-base 0.10.22


References

BID - 34100

MLIST - [oss-security] 20090312 [oCERT-2008-015] glib and glib-predecessor heap overflows

MISC - http://ocert.org/patches/2008-015/gst-plugins-base-CVE-2009-0586.diff

XF - gstreamer-gstvorbistagaddcoverart-bo(49274)

UBUNTU - USN-735-1

BUGTRAQ - 20090312 [oCERT-2008-015] glib and glib-predecessor heap overflows

MISC - http://www.ocert.org/advisories/ocert-2008-015.html

MANDRIVA - MDVSA-2009:085

GENTOO - GLSA-200907-11

SECUNIA - 35777

SECUNIA - 34350

SECUNIA - 34335

SUSE - SUSE-SR:2009:009

CONFIRM - http://cgit.freedesktop.org/gstreamer/gst-plugins-base/commit/?id=566583e87147f774e7fc4c78b5f7e61d427e40a9


Last Updated: 27 May 2016 10:50:18